// OpenGraphDialogClientDlg.h : header file
//

#pragma once

// jxu--
class COpenGLWnd;

// COpenGraphDialogClientDlg dialog
class COpenGraphDialogClientDlg : public CDialog
{
// Construction
public:
	COpenGraphDialogClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_OPENGRAPHDIALOGCLIENT_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:  // jxu
    COpenGLWnd* m_openglWnd;
    int m_nCx;
    int m_nCy;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedDefault();
    afx_msg void OnBnClickedTrack();
    afx_msg void OnBnClickedSelect();
    afx_msg void OnBnClickedPan();
    afx_msg void OnBnClickedRotate();
    afx_msg void OnBnClickedWindowZoom();
    afx_msg void OnBnClickedPixelPan();
    afx_msg void OnBnClickedSelectAll();
    afx_msg void OnBnClickedUnselectAll();
    afx_msg void OnBnClickedReverseSelect();
    afx_msg void OnBnClickedShowSelected();
    afx_msg void OnBnClickedViewFront();
    afx_msg void OnBnClickedViewIsometric();
    afx_msg void OnBnClickedResetView();
    afx_msg void OnBnClickedProjectPoint();
    afx_msg void OnBnClickedDrawNodes();
    afx_msg void OnBnClickedDrawLines();
    afx_msg void OnBnClickedDrawTriangles();
    afx_msg void OnBnClickedDrawQuads();
    afx_msg void OnBnClickedDrawNodesW();
    afx_msg void OnBnClickedDrawLinesW();
    afx_msg void OnBnClickedDrawTrianglesW();
    afx_msg void OnBnClickedDrawQuadsW();
    afx_msg void OnBnClickedClear();
    afx_msg void OnBnClickedSaveImage();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
};
